<?php
/**
 * Clase Base Bean para BaseCrPlanillaTempBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPlanillaTempBN
 * @author     Willy
 * @version    SVN:: BaseCrPlanillaTempBN.class.php,v 1.1 2022-07-23 14:30:15 william.taype Exp $
 */
abstract class BaseCrPlanillaTempBN
{
  protected $IdPlanilla;
  protected $Periodo;
  protected $IdEmpresa;
  protected $IdColaborador;
  protected $Mensaje;
  protected $Error;

  public function getIdPlanilla(){
    return $this->IdPlanilla;
  }
  public function setIdPlanilla($v1){
    $this->IdPlanilla = $v1; 
  }

  public function getPeriodo(){
    return $this->Periodo;
  }
  public function setPeriodo($v1){
    $this->Periodo = $v1; 
  }

  public function getIdEmpresa(){
    return $this->IdEmpresa;
  }
  public function setIdEmpresa($v1){
    $this->IdEmpresa = $v1; 
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_planilla_tempBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_planilla_tempRs )
  {
    $o_CrPlanillaTempBN = new CrPlanillaTempBN();
    $o_CrPlanillaTempBN->setIdPlanilla( $o_Cr_planilla_tempRs['IdPlanilla'] );
    $o_CrPlanillaTempBN->setPeriodo( $o_Cr_planilla_tempRs['Periodo'] );
    $o_CrPlanillaTempBN->setIdEmpresa( $o_Cr_planilla_tempRs['IdEmpresa'] );
    $o_CrPlanillaTempBN->setIdColaborador( $o_Cr_planilla_tempRs['IdColaborador'] );
    return $o_CrPlanillaTempBN;
  }
}